Page Menu
Home
FreeBSD
Search
Configure Global Search
Log In
Files
F160755967
D28463.diff
No One
Temporary
Actions
View File
Edit File
Delete File
View Transforms
Subscribe
Mute Notifications
Flag For Later
Award Token
Size
670 B
Referenced Files
None
Subscribers
None
D28463.diff
View Options
diff --git a/sbin/bectl/tests/bectl_test.sh b/sbin/bectl/tests/bectl_test.sh
--- a/sbin/bectl/tests/bectl_test.sh
+++ b/sbin/bectl/tests/bectl_test.sh
@@ -49,6 +49,13 @@
atf_check test -n "$zpool"
kldload -n -q zfs || atf_skip "ZFS module not loaded on the current system"
+ if ! getconf MIN_HOLE_SIZE "$(pwd)"; then
+ echo "getconf MIN_HOLE_SIZE $(pwd) failed; sparse files " \
+ "probably not supported by file system"
+ mount
+ atf_skip "Test's work directory does not support sparse files;" \
+ "try with a different TMPDIR?"
+ fi
atf_check mkdir -p ${mnt}
atf_check truncate -s 1G ${disk}
atf_check zpool create -R ${mnt} ${zpool} ${disk}
File Metadata
Details
Attached
Mime Type
text/plain
Expires
Sun, Jun 28, 12:39 PM (8 h, 27 m)
Storage Engine
blob
Storage Format
Raw Data
Storage Handle
34433100
Default Alt Text
D28463.diff (670 B)
Attached To
Mode
D28463: sbin/bectl: Skip tests if sparse files are not supported
Attached
Detach File
Event Timeline
Log In to Comment